EssenceElement (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf

## Interface EssenceElement

- All Superinterfaces:
    MXFUnit
  All Known Subinterfaces:
    CPSystemItem, GCSystemItem
  All Known Implementing Classes:
    CPSystemItemImpl, EssenceElementImpl

      public interface EssenceElement
      extends MXFUnit

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `CPData`
    `static byte` | `CPPicture`
    `static byte` | `CPSound`
    `static int` | `ELEMENT_COUNT_INDEX`
    `static int` | `ELEMENT_NUMBER_INDEX`
    `static int` | `ELEMENT_TYPE_INDEX`
    `static AUID` | `essenceElementBase`
    `static byte` | `GCCompound`
    `static byte` | `GCData`
    `static byte` | `GCPicture`
    `static byte` | `GCSound`
    `static int` | `ITEM_TYPE_INDEX`

  - ### Method Summary

    - ### Methods inherited from interface tv.amwa.maj.io.mxf.MXFUnit

      `getUnitType`

- - ### Field Detail

    - #### essenceElementBase

          static final AUID essenceElementBase

    - #### ITEM_TYPE_INDEX

          static final int ITEM_TYPE_INDEX

      See Also:
        Constant Field Values

    - #### ELEMENT_COUNT_INDEX

          static final int ELEMENT_COUNT_INDEX

      See Also:
        Constant Field Values

    - #### ELEMENT_TYPE_INDEX

          static final int ELEMENT_TYPE_INDEX

      See Also:
        Constant Field Values

    - #### ELEMENT_NUMBER_INDEX

          static final int ELEMENT_NUMBER_INDEX

      See Also:
        Constant Field Values

    - #### CPPicture

          static final byte CPPicture

      See Also:
        Constant Field Values

    - #### CPSound

          static final byte CPSound

      See Also:
        Constant Field Values

    - #### CPData

          static final byte CPData

      See Also:
        Constant Field Values

    - #### GCPicture

          static final byte GCPicture

      See Also:
        Constant Field Values

    - #### GCSound

          static final byte GCSound

      See Also:
        Constant Field Values

    - #### GCData

          static final byte GCData

      See Also:
        Constant Field Values

    - #### GCCompound

          static final byte GCCompound

      See Also:
        Constant Field Values

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.